
var draw_data_storage = function() {
    getFullPanel(2, 4, 2, 3, "tab-page-basic_systems", "sec-data_storage", "DATA STORAGE", "", "VER 1.0");
    var panel = document.getElementById("sec-data_storage");
    panel.innerHTML += draw_data_storage_section_1();
    panel.innerHTML += draw_data_storage_section_2();
}

var draw_data_storage_section_1 = function() {
    var html = getSectionTitle('DATA STORAGE & EEPROM');
    var rows = '';
    var row = '';
    row = getInfoCell('', 'DATST');
    row += getInfoCell('datasto-status', '0');
    row += getInfoCell('eeprom-stat-write', 'EEUW_');
    row += getInfoCell('eeprom-stat-read', 'EEUR_');
    rows += getInfoRow(row);

    html += getTabel(rows);
    html = getPanel(html);
    return html;
}

var draw_data_storage_section_2 = function() {
    var html = getSectionTitle('DATA STORAGE & EEPROM');
    var rows = '';
    var row = '';
    row = getInfoCell('i2c-mode', 'I2CMO');
    row += getInfoCell('i2c-inverse', 'I2CIN');
    row += getInfoCell('', 'I2CST');
    row += getInfoCell('i2c-status', '0');
    rows += getInfoRow(row);
    row = getInfoCell('', 'I2CRPN');
    row += getInfoCell('i2c-read-pointer', '0');
    row += getInfoCell('', 'I2CWRP');
    row += getInfoCell('i2c-write-pointer', '0');
    rows += getInfoRow(row);
    row = getInfoCell('', 'I2CRM');
    row += getInfoCell('i2c-read-max', '0');
    row += getInfoCell('', 'I2CWM');
    row += getInfoCell('i2c-write-max', '0');
    rows += getInfoRow(row);
    row = getInfoCell('', 'I2WAT');
    row = getInfoCell('i2c-wait-counter', '0');
    rows += getInfoRow(row);

    html += getTabel(rows);
    html = getPanel(html);
    return html;
}

draw_data_storage();